/*
 * Copyright MIT © 2012> <Francesco Trillini>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE 
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

package it.francescotrillini.opendatabase4j;

import android.os.Bundle;
import android.util.Log;
import android.app.Activity;

public class OpenDatabase4j extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.layout);
		
		Database db = new Database(this, "OpenDatabase4j", 1);
		
		int min = Math.min(generateAlpha(48, 122), generateAlpha(33, 47));
		int max = Math.max(min, generateAlpha(48, 122));
		
		for(int data = min; data < max; data++)
			
			db.push(data);
					
		StringBuilder generated = new StringBuilder();
		
		for(Integer data : db.getData()) 
			
			generated.append(Character.toChars(data.intValue()));
		
		Log.i("OpenDatabase4j generated: ", generated.toString());
		
		db.destroyDatabase();
		
	}

	/**
	 * Generates an alpha character.
	 * @param min
	 * @param max
	 * @return
	 */
	
	private int generateAlpha(int min, int max) {
		
		return min + (int)(Math.random() * (((max - min) + 1) & 0xFF));
		
	}
	
}
